function val = readPin(pin)
%readPin - This command allows you to read data from a Digital or an Analog
%Pin. pin- The input value is either 'D#' for Digital Pins ( where # -> 0 to 13)
%and 'A#' for Analog Pins (where # -> 0 to 5)

% Copyright 2014 - 2015 The MathWorks, Inc.

if  evalin('base', 'exist(''obj'')')
    if evalin('base', 'isa(obj, ''arduino'')')
        obj = evalin('base', 'obj');
        switch pin(1)
            case 'A'
                configurePin(obj,pin, 'AnalogInput');
                val = readVoltage(obj, pin);
            case 'D'
                configurePin(obj,pin, 'DigitalInput');
                val = readDigitalPin(obj, pin);
        end
    else
        error('***********Use board.Connect to connect to MATLAB*********');
    end
else
    error('***********Use board.Connect to connect to MATLAB*********');
end



