% Copyright 2014 - 2016 The MathWorks, Inc.

%This demo reads in audio clips of music notes from a guitar and two 
%different percussion instruments and combines them to create a song. 
% It then plays the song at two different speeds.

cabasa = getNotes('X C X C X C X C X C X C X C');
banana_shaker= getNotes('T X T X T X T X T X T X T X');
violin = getNotes('C4 C4 C4 G3 A3 A3 G3 X E4 E4 D4 D4 C4 X');
song = zeros(20000,1);

for i = 1: 14

%First Instrument
      str1 =char (cabasa(i));
      if silence(str1)
         c = audioread('silence_40000.wav');
      else
         [c, Fs] = audioread('cabasa_40000.wav');
      end
      
%Second Instrument  
      str2 =char (violin(i));
      if silence(str2)
         g = audioread('silence_40000.wav');
      else
         [g,Fs] = audioread(['guitar_' str2 '_40000.wav']);
      end  
%      
 %Third Instrument      
     str3 =char (banana_shaker(i));
      if silence(str3)
        t = audioread('silence_40000.wav');
      else
        [t, Fs] = audioread('banana_shaker_40000.wav');
      end
    
%Add all the instruments
      x = c + g + t ;
       % x= c +t;
%Add the previous iteration
    song = [song; x];
    
end


soundsc(song,Fs) % play music at normal pace
pause(14)
soundsc(song, 2*Fs) % play music at twice speed
